### Function

# ICalGLib Parser parse_string

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_parser_parse_string (
      const gchar* str
    )

#### Description [src]

Parses the string into a `ICalComponent`.

Available since: 1.0

#### Parameters

`str`

  Type: `const gchar*`

  The string to be parsed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalComponent`

The `ICalComponent` parsed from str.

The caller of the function takes ownership of the data, and is responsible for freeing it.